| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
cv::gapi::oak::EncoderConfig Struct Reference

`#include <opencv2/gapi/oak/oak.hpp>`

Collaboration diagram for cv::gapi::oak::EncoderConfig:

## Public Types
enum class | Profile : int { H264_BASELINE , H264_HIGH , H264_MAIN , H265_MAIN , MJPEG }
enum class | RateControlMode : int { CBR , VBR }

## Public Attributes
std::int32_t | bitrate = 8000
float | frameRate = 30.0f
std::int32_t | height = 1080
std::int32_t | keyframeFrequency = 30
bool | lossless = false
std::int32_t | maxBitrate = 8000
std::int32_t | numBFrames = 0
std::uint32_t | numFramesPool = 4
Profile | profile = Profile::H265_MAIN
std::int32_t | quality = 80
RateControlMode | rateCtrlMode = RateControlMode::CBR
std::int32_t | width = 1920

## Member Enumeration Documentation

## ◆ Profile

enum class cv::gapi::oak::EncoderConfig::Profile : int
| strong

Encoding profile, H264, H265 or MJPEG

Enumerator
H264_BASELINE |
H264_HIGH |
H264_MAIN |
H265_MAIN |
MJPEG |

## ◆ RateControlMode

enum class cv::gapi::oak::EncoderConfig::RateControlMode : int
| strong

Rate control mode specifies if constant or variable bitrate should be used (H264 / H265)

Enumerator
CBR |
VBR |

## Member Data Documentation

## ◆ bitrate

std::int32_t cv::gapi::oak::EncoderConfig::bitrate = 8000

Specifies preferred bitrate (kb) of compressed output bitstream

## ◆ frameRate

float cv::gapi::oak::EncoderConfig::frameRate = 30.0f

Frame rate

## ◆ height

std::int32_t cv::gapi::oak::EncoderConfig::height = 1080

Input and compressed output frame height

## ◆ keyframeFrequency

std::int32_t cv::gapi::oak::EncoderConfig::keyframeFrequency = 30

Every x number of frames a keyframe will be inserted

## ◆ lossless

bool cv::gapi::oak::EncoderConfig::lossless = false

Lossless mode ([M]JPEG only)

## ◆ maxBitrate

std::int32_t cv::gapi::oak::EncoderConfig::maxBitrate = 8000

Specifies maximum bitrate (kb) of compressed output bitstream

## ◆ numBFrames

std::int32_t cv::gapi::oak::EncoderConfig::numBFrames = 0

Specifies number of B frames to be inserted

## ◆ numFramesPool

std::uint32_t cv::gapi::oak::EncoderConfig::numFramesPool = 4

This options specifies how many frames are available in this nodes pool (can help if receiver node is slow at consuming

## ◆ profile

Profile cv::gapi::oak::EncoderConfig::profile = Profile::H265_MAIN

Encoding profile, H264, H265 or MJPEG

## ◆ quality

std::int32_t cv::gapi::oak::EncoderConfig::quality = 80

Value between 0-100% (approximates quality)

## ◆ rateCtrlMode

RateControlMode cv::gapi::oak::EncoderConfig::rateCtrlMode = RateControlMode::CBR

Rate control mode specifies if constant or variable bitrate should be used (H264 / H265)

## ◆ width

std::int32_t cv::gapi::oak::EncoderConfig::width = 1920

Input and compressed output frame width

The documentation for this struct was generated from the following file:

- opencv2/gapi/oak/oak.hpp